Package org.xnio.channels

# Interface BoundMultipointMessageChannel

All Superinterfaces:
  `AutoCloseable`, `BoundChannel`, `Channel`, `Closeable`, `CloseableChannel`, `Configurable`, `InterruptibleChannel`, `MultipointMessageChannel`, `ReadableMultipointMessageChannel`, `SuspendableChannel`, `SuspendableReadChannel`, `SuspendableWriteChannel`, `WritableMultipointMessageChannel`

All Known Subinterfaces:
  `MulticastMessageChannel`

public interface BoundMultipointMessageChannel extends MultipointMessageChannel, BoundChannel
A multipoint datagram channel. A multipoint datagram channel is a bound multipoint message channel.

## Field Summary

### Fields inherited from interface org.xnio.channels.Configurable

`EMPTY`

## Method Summary

Modifier and Type
Method
Description
`ChannelListener.Setter<? extends BoundMultipointMessageChannel>`
`getCloseSetter()`
Get the setter which can be used to change the close listener for this channel.
`ChannelListener.Setter<? extends BoundMultipointMessageChannel>`
`getReadSetter()`
Get the setter which can be used to change the read listener for this channel.
`ChannelListener.Setter<? extends BoundMultipointMessageChannel>`
`getWriteSetter()`
Get the setter which can be used to change the write listener for this channel.

### Methods inherited from interface org.xnio.channels.BoundChannel

`getLocalAddress, getLocalAddress`

### Methods inherited from interface org.xnio.channels.CloseableChannel

`getIoThread, getWorker`

### Methods inherited from interface org.xnio.channels.Configurable

`getOption, setOption, supportsOption`

### Methods inherited from interface org.xnio.channels.ReadableMultipointMessageChannel

`receiveFrom, receiveFrom, receiveFrom`

### Methods inherited from interface org.xnio.channels.SuspendableReadChannel

`awaitReadable, awaitReadable, getReadThread, isReadResumed, resumeReads, shutdownReads, suspendReads, wakeupReads`

### Methods inherited from interface org.xnio.channels.SuspendableWriteChannel

`awaitWritable, awaitWritable, close, flush, getWriteThread, isOpen, isWriteResumed, resumeWrites, shutdownWrites, suspendWrites, wakeupWrites`

### Methods inherited from interface org.xnio.channels.WritableMultipointMessageChannel

`sendTo, sendTo, sendTo`

## Method Details

### getReadSetter

ChannelListener.Setter<? extends BoundMultipointMessageChannel> getReadSetter()
Get the setter which can be used to change the read listener for this channel.

Specified by:
  `getReadSetter` in interface `MultipointMessageChannel`
Specified by:
  `getReadSetter` in interface `ReadableMultipointMessageChannel`
Specified by:
  `getReadSetter` in interface `SuspendableChannel`
Specified by:
  `getReadSetter` in interface `SuspendableReadChannel`
Returns:
  the setter

### getCloseSetter

ChannelListener.Setter<? extends BoundMultipointMessageChannel> getCloseSetter()
Get the setter which can be used to change the close listener for this channel. If the channel is already closed, then the listener will not be called.

Specified by:
  `getCloseSetter` in interface `BoundChannel`
Specified by:
  `getCloseSetter` in interface `CloseableChannel`
Specified by:
  `getCloseSetter` in interface `MultipointMessageChannel`
Specified by:
  `getCloseSetter` in interface `ReadableMultipointMessageChannel`
Specified by:
  `getCloseSetter` in interface `SuspendableChannel`
Specified by:
  `getCloseSetter` in interface `SuspendableReadChannel`
Specified by:
  `getCloseSetter` in interface `SuspendableWriteChannel`
Specified by:
  `getCloseSetter` in interface `WritableMultipointMessageChannel`
Returns:
  the setter

### getWriteSetter

ChannelListener.Setter<? extends BoundMultipointMessageChannel> getWriteSetter()
Get the setter which can be used to change the write listener for this channel.

Specified by:
  `getWriteSetter` in interface `MultipointMessageChannel`
Specified by:
  `getWriteSetter` in interface `SuspendableChannel`
Specified by:
  `getWriteSetter` in interface `SuspendableWriteChannel`
Specified by:
  `getWriteSetter` in interface `WritableMultipointMessageChannel`
Returns:
  the setter